Skip to content
SynupAPI
Get an API key
GETapi.synup.com/api/v4/locations/{locationId}/keywords-performance

Get keywords performance

This API retrieves the ranking performance of all keywords associated with a specific location.

Requires an API key. Send it as Authorization: API <your-key> — see Getting started.

Parameters

Path

NameTypeRequiredDescription
locationIdstringrequiredLocation ID

Query

NameTypeRequiredDescription
fromDatestringoptionalStart date to fetch rankings from (YYYY-MM-DD)
toDatestringoptionalEnd date to fetch rankings until (YYYY-MM-DD)

Request

Request
curl -X GET 'https://api.synup.com/api/v4/locations/:locationId/keywords-performance?fromDate=&toDate=' \
  -H 'Authorization: API YOUR_API_KEY' \
  -H 'Content-Type: application/json'

Responses

StatusDescription
200Successful response
401Unauthorized
Example response (generated from the schema)
{
  "data": {
    "keywordsByLocationId": [
      {
        "id": "S2V5d29yZDoxODQ1OTY4",
        "databaseId": "1845968",
        "name": "local business",
        "sites": [
          {
            "name": "Google",
            "rankings": [
              null
            ]
          }
        ]
      }
    ]
  }
}

Response body

NameTypeRequiredDescription
dataobjectoptional
data.keywordsByLocationIdarray of objectoptional
data.keywordsByLocationId[].idstringoptional
data.keywordsByLocationId[].databaseIdstringoptional
data.keywordsByLocationId[].namestringoptional
data.keywordsByLocationId[].sitesarray of objectoptional
data.keywordsByLocationId[].sites[].namestringoptional
GoogleYahooGoogle MapsBing
data.keywordsByLocationId[].sites[].rankingsarray of objectoptional
data.keywordsByLocationId[].sites[].rankings[].rankintegeroptional
data.keywordsByLocationId[].sites[].rankings[].rankedAtstringoptional
data.keywordsByLocationId[].sites[].rankings[].matchTypestringoptional
data.keywordsByLocationId[].sites[].rankings[].matchUrlstringoptional